## org.apache.poi.hssf.record
Class RefModeRecord

    java.lang.Object
      org.apache.poi.hssf.record.RecordBase
          org.apache.poi.hssf.record.Record
              org.apache.poi.hssf.record.StandardRecord
                  org.apache.poi.hssf.record.RefModeRecord

    public final class RefModeRecord

extends StandardRecord

Title: RefMode Record

Description: Describes which reference mode to use

REFERENCE: PG 376 Microsoft Excel 97 Developer's Kit (ISBN: 1-57231-498-2)

Version:
  2.0-pre
Author:
  Andrew C. Oliver (acoliver at apache dot org), Jason Height (jheight at chariot dot net dot au)

Field Summary
`static short` `sid`
`static short` `USE_A1_MODE`
`static short` `USE_R1C1_MODE`

Constructor Summary
`RefModeRecord()`
`RefModeRecord(RecordInputStream in)`

Method Summary
`java.lang.Object` `clone()`
`protected int` `getDataSize()`
`short` `getMode()` get the reference mode to use (HSSF uses/assumes A1)
`short` `getSid()` return the non static version of the id for this record.
`void` `serialize(LittleEndianOutput out)` Write the data content of this BIFF record.
`void` `setMode(short mode)` set the reference mode to use (HSSF uses/assumes A1)
`java.lang.String` `toString()` get a string representation of the record (for biffview/debugging)

Methods inherited from class org.apache.poi.hssf.record.StandardRecord
`getRecordSize, serialize`

Methods inherited from class org.apache.poi.hssf.record.Record
`cloneViaReserialise, serialize`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### sid

    public static final short sid

See Also:
  Constant Field Values

### USE_A1_MODE

    public static final short USE_A1_MODE

See Also:
  Constant Field Values

### USE_R1C1_MODE

    public static final short USE_R1C1_MODE

See Also:
  Constant Field Values

Constructor Detail

### RefModeRecord

    public RefModeRecord()

### RefModeRecord

    public RefModeRecord(RecordInputStream in)

Method Detail

### setMode

    public void setMode(short mode)

  set the reference mode to use (HSSF uses/assumes A1)

  Parameters:
    `mode` - the mode to use
  See Also:
    `USE_A1_MODE`, `USE_R1C1_MODE`

### getMode

    public short getMode()

  get the reference mode to use (HSSF uses/assumes A1)

  Returns:
    mode to use
  See Also:
    `USE_A1_MODE`, `USE_R1C1_MODE`

### toString

    public java.lang.String toString()

  Description copied from class: `Record`
  get a string representation of the record (for biffview/debugging)

  Overrides:
    `toString` in class `Record`

### serialize

    public void serialize(LittleEndianOutput out)

  Description copied from class: `StandardRecord`
  Write the data content of this BIFF record. The 'ushort sid' and 'ushort size' header fields have already been written by the superclass.
  The number of bytes written must equal the record size reported by `RecordBase.getRecordSize()`} minus four ( record header consiting of a 'ushort sid' and 'ushort reclength' has already been written by thye superclass).

  Specified by:
    `serialize` in class `StandardRecord`

### getDataSize

    protected int getDataSize()

  Specified by:
    `getDataSize` in class `StandardRecord`

### getSid

    public short getSid()

  Description copied from class: `Record`
  return the non static version of the id for this record.

  Specified by:
    `getSid` in class `Record`

### clone

    public java.lang.Object clone()

  Overrides:
    `clone` in class `Record`

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.